NameTransformer.Chained
Date: 2016-12-04

com.fasterxml.jackson.databind.util

## Class NameTransformer.Chained

- java.lang.Object
- - com.fasterxml.jackson.databind.util.NameTransformer
  - - com.fasterxml.jackson.databind.util.NameTransformer.Chained

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    NameTransformer

      public static class NameTransformer.Chained
      extends NameTransformer
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.util.NameTransformer

      `NameTransformer.Chained, NameTransformer.NopTransformer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected NameTransformer` | `_t1`
    `protected NameTransformer` | `_t2`

    - ### Fields inherited from class com.fasterxml.jackson.databind.util.NameTransformer

      `NOP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameTransformer.Chained(NameTransformer t1, NameTransformer t2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `reverse(java.lang.String transformed)` Method called when reversal of transformation is needed; should return null if this is not possible, that is, given name can not have been result of calling `NameTransformer.transform(java.lang.String)` of this object.
    `java.lang.String` | `toString()`
    `java.lang.String` | `transform(java.lang.String name)` Method called when (forward) transformation is needed.

    - ### Methods inherited from class com.fasterxml.jackson.databind.util.NameTransformer

      `chainedTransformer, simpleTransformer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _t1

          protected final NameTransformer _t1

    - #### _t2

          protected final NameTransformer _t2

  - ### Constructor Detail

    - #### NameTransformer.Chained

          public NameTransformer.Chained(NameTransformer t1,
                                 NameTransformer t2)

  - ### Method Detail

    - #### transform

          public java.lang.String transform(java.lang.String name)

      Description copied from class: `NameTransformer`
      Method called when (forward) transformation is needed.
      Specified by:
        `transform` in class `NameTransformer`

    - #### reverse

          public java.lang.String reverse(java.lang.String transformed)

      Description copied from class: `NameTransformer`
      Method called when reversal of transformation is needed; should return null if this is not possible, that is, given name can not have been result of calling `NameTransformer.transform(java.lang.String)` of this object.
      Specified by:
        `reverse` in class `NameTransformer`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`